Package icyllis.arc3d.engine

# Class OpFlushState

java.lang.Object
icyllis.arc3d.engine.OpFlushState

All Implemented Interfaces:
  `MeshDrawTarget`

@Deprecated public class OpFlushState extends Object implements MeshDrawTarget
Deprecated.
Tracks the state across all the GrOps (really just the GrDrawOps) in a OpsTask flush.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpFlushState(Device device, ResourceProvider resourceProvider)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OpsRenderPass`
  `beginOpsRenderPass(ImageProxyView writeView, Rect2i contentBounds, byte colorOps, byte stencilOps, float[] clearColor, Set<SurfaceProxy> sampledTextures, int pipelineFlags)`
  Deprecated.
  `final GraphicsPipeline`
  `findOrCreateGraphicsPipeline(GraphicsPipelineDesc_Old graphicsPipelineDesc)`
  Deprecated.
  `Device`
  `getDevice()`
  Deprecated.
  `OpsRenderPass`
  `getOpsRenderPass()`
  Deprecated.
  `long`
  `makeIndexSpace(Mesh mesh)`
  Deprecated.
  Makes space for index data.
  `ByteBuffer`
  `makeIndexWriter(Mesh mesh)`
  Deprecated.
  Helper method.
  `long`
  `makeInstanceSpace(Mesh mesh)`
  Deprecated.
  Makes space for instance data.
  `ByteBuffer`
  `makeInstanceWriter(Mesh mesh)`
  Deprecated.
  Helper method.
  `long`
  `makeVertexSpace(Mesh mesh)`
  Deprecated.
  Makes space for vertex data.
  `ByteBuffer`
  `makeVertexWriter(Mesh mesh)`
  Deprecated.
  Helper method.
  `void`
  `reset()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OpFlushState

    public OpFlushState(Device device, ResourceProvider resourceProvider)
    Deprecated.

- ## Method Details

  - ### getDevice

    public Device getDevice()
    Deprecated.

  - ### findOrCreateGraphicsPipeline

    public final GraphicsPipeline findOrCreateGraphicsPipeline(GraphicsPipelineDesc_Old graphicsPipelineDesc)
    Deprecated.

  - ### makeVertexSpace

    public long makeVertexSpace(Mesh mesh)
    Deprecated.
    Description copied from interface: `MeshDrawTarget`
    Makes space for vertex data. The returned pointer is the location where vertex data should be written. On return the buffer that will hold the data as well as an offset into the buffer (in 'vertexSize' units) where the data will be placed.

    This method requires `Mesh.getVertexSize()` and `Mesh.getVertexCount()` as arguments and `Mesh.setVertexBuffer(Buffer, int, int)` as results.

    Specified by:
      `makeVertexSpace` in interface `MeshDrawTarget`
    Returns:
      may NULL if failed

  - ### makeInstanceSpace

    public long makeInstanceSpace(Mesh mesh)
    Deprecated.
    Description copied from interface: `MeshDrawTarget`
    Makes space for instance data. The returned pointer is the location where instance data should be written. On return the buffer that will hold the data as well as an offset into the buffer (in 'instanceSize' units) where the data will be placed.

    This method requires `Mesh.getInstanceSize()` and `Mesh.getInstanceCount()` as arguments and `Mesh.setInstanceBuffer(Buffer, int, int)` as results.

    Specified by:
      `makeInstanceSpace` in interface `MeshDrawTarget`
    Returns:
      may NULL if failed

  - ### makeIndexSpace

    public long makeIndexSpace(Mesh mesh)
    Deprecated.
    Description copied from interface: `MeshDrawTarget`
    Makes space for index data. The returned pointer is the location where index data should be written. On return the buffer that will hold the data as well as an offset into the buffer (in 'ushort' units) where the data will be placed.

    This method requires `Mesh.getIndexCount()` as arguments and `Mesh.setIndexBuffer(Buffer, int, int)` as results.

    Specified by:
      `makeIndexSpace` in interface `MeshDrawTarget`
    Returns:
      may NULL if failed

  - ### makeVertexWriter

    @Nullable public ByteBuffer makeVertexWriter(Mesh mesh)
    Deprecated.
    Description copied from interface: `MeshDrawTarget`
    Helper method.
    Specified by:
      `makeVertexWriter` in interface `MeshDrawTarget`
    Returns:
      may null if failed
    See Also:
      - `MeshDrawTarget.makeVertexSpace(Mesh)`

  - ### makeInstanceWriter

    @Nullable public ByteBuffer makeInstanceWriter(Mesh mesh)
    Deprecated.
    Description copied from interface: `MeshDrawTarget`
    Helper method.
    Specified by:
      `makeInstanceWriter` in interface `MeshDrawTarget`
    Returns:
      may null if failed
    See Also:
      - `MeshDrawTarget.makeInstanceSpace(Mesh)`

  - ### makeIndexWriter

    @Nullable public ByteBuffer makeIndexWriter(Mesh mesh)
    Deprecated.
    Description copied from interface: `MeshDrawTarget`
    Helper method.
    Specified by:
      `makeIndexWriter` in interface `MeshDrawTarget`
    Returns:
      may null if failed
    See Also:
      - `MeshDrawTarget.makeIndexSpace(Mesh)`

  - ### getOpsRenderPass

    public OpsRenderPass getOpsRenderPass()
    Deprecated.

  - ### beginOpsRenderPass

    public OpsRenderPass beginOpsRenderPass(ImageProxyView writeView, Rect2i contentBounds, byte colorOps, byte stencilOps, float[] clearColor, Set<SurfaceProxy> sampledTextures, int pipelineFlags)
    Deprecated.

  - ### reset

    public void reset()
    Deprecated.